Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.binding.bindingsource
[Groovy] Class HalGPathResultMap

    java.lang.Object
      org.grails.databinding.xml.GPathResultMap
          org.codehaus.groovy.grails.web.binding.bindingsource.HalGPathResultMap

    class HalGPathResultMap
    extends GPathResultMap

Authors:
  Jeff Brown

Since:
  2.3

Field Summary

Fields inherited from class GPathResultMap
gpath, id

Constructor Summary
`HalGPathResultMap(groovy.util.slurpersupport.GPathResult gpath)`

Method Summary
`java.lang.Object` | `get(java.lang.Object key)`
`protected java.lang.String` | `getPropertyNameForNode(groovy.util.Node node)`
`protected java.lang.String` | `getPropertyNameForNodeChild(groovy.util.slurpersupport.NodeChild child)`

Methods inherited from class GPathResultMap
clear, containsKey, containsValue, entrySet, get, getPropertyNameForNode, getPropertyNameForNodeChild, isEmpty, keySet, put, putAll, remove, size, values

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### HalGPathResultMap

    HalGPathResultMap(groovy.util.slurpersupport.GPathResult gpath)

Method Detail

### get

    java.lang.Object get(java.lang.Object key)

### getPropertyNameForNode

    protected java.lang.String getPropertyNameForNode(groovy.util.Node node)

### getPropertyNameForNodeChild

    protected java.lang.String getPropertyNameForNodeChild(groovy.util.slurpersupport.NodeChild child)

Groovy Documentation